Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 267)
@@ -3493,31 +3607,45 @@
                 dgv.SuspendLayout();
                 dgv.Rows.Clear();
                 // SQL作成
-                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
-                strSQL += " A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A";
-                strSQL += " LEFT JOIN  PERSONINCHARGEMASTER D  ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                strSQL += " LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE";
-                strSQL += " FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G";
-                strSQL += " ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1";
-                strSQL += ", CONSTRUCTIONBASEINFODETAIL B , PERSONINCHARGEMASTER C";
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,");
+                strSQL.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
-                strSQL += CreateTendersSQL();
-                strSQL += string.Format(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
-                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+                if (m_bConstrSearchFlg)
+                {
+                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
+                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
+                }
 
-                strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC";
+                strSQL.Append(" LEFT JOIN  PERSONINCHARGEMASTER D  ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
+                strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
+                strSQL.Append(" FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G");
+                strSQL.Append(" ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1");
+                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL B , PERSONINCHARGEMASTER C");
+
+                strSQL.Append(CreateTendersSQL());
+                strSQL.AppendFormat(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
+                strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
+
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+
+                strSQL.Append(" Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC");
                 ArrayList arData = new ArrayList();
 
+                // プログレスバー表示
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnCopyFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnSearchFlg] = true;
+                DisplayControlProgressBar(true);
+                
                 // 工事基本情報取得
-                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
+                if (!cbiDB.ExecuteReader(strSQL.ToString(), ref arData)) return;
                 if (arData.Count == 0) return;
 
-                ProgressTenders.Visible = true;
-                ProgressTenders.Minimum = 0;
-                ProgressTenders.Maximum = arData.Count;
-                tabPage5.Update();
-                //Thread.Sleep(100);
+                MainProgressBar.Maximum = arData.Count;
 
                 // データ表示
                 int ino = 1;
@@ -3529,6 +3657,10 @@
                 int iLineCnt = 0;
                 int DBCnt = Enum.GetNames(typeof(DBColumn1)).Length;
                 int BreakConstructionCode = 0;
+
+                ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
+                object[] wrkobj = new object[Enum.GetNames(typeof(IOConstructionBaseInfo.TableColumn)).Length];
+
                 foreach (object[] wrkRec in arData)
                 {
                     int iConstructionCode = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionCode]);
@@ -3576,9 +3708,8 @@
                                                 , Details[4]);
 
                     // データを工事情報のフォーマットに詰めなおす
-                    ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
                     int objCnt = wrkRec.Length - DBCnt;
-                    object[] wrkobj = new object[objCnt];
+                    Array.Clear(wrkobj, 0, wrkobj.Length);
                     for (int i = 0; i < objCnt; i++)
                     {
                         wrkobj[i] = wrkRec[i + DBCnt];
@@ -3595,8 +3726,8 @@
                     SetCellApprovalColor(CurCell, iApprovalCode, iApprovalStatus);
 
                     // ProgressBarの値を変更する
-                    ProgressTenders.Value = ino++;
-                    ProgressTenders.Update();
+                    MainProgressBar.Value = ino++;
+                    MainProgressBar.Update();
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
                 dgv.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
@@ -3604,9 +3735,8 @@
                 dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
                 // ProgressBarの値を変更する
-                ProgressTenders.Value = ProgressTenders.Maximum;
-                ProgressTenders.Update();
-                ProgressTenders.Visible = false;
+                MainProgressBar.Value = MainProgressBar.Maximum;
+                MainProgressBar.Update();
             }
             catch (Exception ex)
             {
@@ -3626,6 +3756,7 @@
                 GridSortExcute(dgv);
                 cbiDB.close(); cbiDB = null;
                 dgv.ResumeLayout();
+                DisplayControlProgressBar(false);
             }
         }
         #endregion
@@ -3640,7 +3771,7 @@
             try
             {
                 List<int> stat = new List<int>();
-                stat.Add((int)CommonDefine.BaseInfoEstimateType.Didding);
+                stat.Add((int)ConstructionBaseInfo.EstimateTypeDef.Didding);
 
                 strSQL += CreateListSQLFluctuation();
                 strSQL += CreateListSQL(stat, true);
@@ -3670,31 +3801,45 @@
                 dgv.SuspendLayout();
                 dgv.Rows.Clear();
                 // SQL作成
-                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
-                strSQL += " A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A";
-                strSQL += " LEFT JOIN  PERSONINCHARGEMASTER D  ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                strSQL += " LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE";
-                strSQL += " FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G";
-                strSQL += " ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1";
-                strSQL += ", CONSTRUCTIONBASEINFODETAIL B , PERSONINCHARGEMASTER C";
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,");
+                strSQL.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
-                strSQL += CreateBudgetUpProjectsSQL();
-                strSQL += string.Format(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
-                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+                if (m_bConstrSearchFlg)
+                {
+                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
+                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
+                }
 
-                strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC";
+                strSQL.Append(" LEFT JOIN  PERSONINCHARGEMASTER D  ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
+                strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
+                strSQL.Append(" FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G");
+                strSQL.Append(" ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1");
+                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL B , PERSONINCHARGEMASTER C");
+
+                strSQL.Append(CreateBudgetUpProjectsSQL());
+                strSQL.AppendFormat(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
+                strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
+
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+
+                strSQL.Append(" Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC");
                 ArrayList arData = new ArrayList();
 
+                // プログレスバー表示
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnCopyFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnSearchFlg] = true;
+                DisplayControlProgressBar(true);
+                
                 // 工事基本情報取得
-                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
+                if (!cbiDB.ExecuteReader(strSQL.ToString(), ref arData)) return;
                 if (arData.Count == 0) return;
 
-                ProgressBudgetUp.Visible = true;
-                ProgressBudgetUp.Minimum = 0;
-                ProgressBudgetUp.Maximum = arData.Count;
-                tabPage5.Update();
-                //Thread.Sleep(100);
+                MainProgressBar.Maximum = arData.Count;
 
                 // データ表示
                 int ino = 1;
@@ -3706,6 +3851,10 @@
                 int iLineCnt = 0;
                 int DBCnt = Enum.GetNames(typeof(DBColumn1)).Length;
                 int BreakConstructionCode = 0;
+
+                ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
+                object[] wrkobj = new object[Enum.GetNames(typeof(IOConstructionBaseInfo.TableColumn)).Length];
+
                 foreach (object[] wrkRec in arData)
                 {
                     int iConstructionCode = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionCode]);
@@ -3753,9 +3902,8 @@
                                                 , Details[4]);
 
                     // データを工事情報のフォーマットに詰めなおす
-                    ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
                     int objCnt = wrkRec.Length - DBCnt;
-                    object[] wrkobj = new object[objCnt];
+                    Array.Clear(wrkobj, 0, wrkobj.Length);
                     for (int i = 0; i < objCnt; i++)
                     {
                         wrkobj[i] = wrkRec[i + DBCnt];
@@ -3772,8 +3920,8 @@
                     SetCellApprovalColor(CurCell, iApprovalCode, iApprovalStatus);
 
                     // ProgressBarの値を変更する
-                    ProgressBudgetUp.Value = ino++;
-                    ProgressBudgetUp.Update();
+                    MainProgressBar.Value = ino++;
+                    MainProgressBar.Update();
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
                 dgv.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
@@ -3781,9 +3929,8 @@
                 dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
                 // ProgressBarの値を変更する
-                ProgressBudgetUp.Value = ProgressBudgetUp.Maximum;
-                ProgressBudgetUp.Update();
-                ProgressBudgetUp.Visible = false;
+                MainProgressBar.Value = MainProgressBar.Maximum;
+                MainProgressBar.Update();
             }
             catch (Exception ex)
             {
@@ -3804,6 +3951,7 @@
 
                 cbiDB.close(); cbiDB = null;
                 dgv.ResumeLayout();
+                DisplayControlProgressBar(false);
             }
         }
         #endregion
@@ -3818,7 +3966,7 @@
             try
             {
                 List<int> stat = new List<int>();
-                stat.Add((int)CommonDefine.BaseInfoEstimateType.GetBudget);
+                stat.Add((int)ConstructionBaseInfo.EstimateTypeDef.GetBudget);
 
                 strSQL += CreateListSQLFluctuation();
                 strSQL += CreateListSQL(stat, true);
@@ -3872,28 +4020,47 @@
 
                 dgv.Rows.Clear();
                 // SQL作成
-                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
-                strSQL += " A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, E.PERSONNAME, F.PERSONNAME, D.DepartmentCode,";
-                strSQL += " G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR";
-                strSQL += " LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE";
-                strSQL += " FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G";
-                strSQL += " ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1";
-                strSQL += ", CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C";
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,");
+                strSQL.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, E.PERSONNAME, F.PERSONNAME, D.DepartmentCode,");
+                strSQL.Append(" G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
-                strSQL += CreateConstructionProjectsSQL();
+                if (m_bConstrSearchFlg)
+                {
+                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
+                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
+                }
 
-                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
-                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR");
+                strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
+                strSQL.Append("      FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G");
+                strSQL.Append(" ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1");
+                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C");
 
-                strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionStatusFlg Asc, A.ORDERDATE DESC, A.ConstructionCode Asc, B.DETAILNO ASC";
+                strSQL.Append(CreateConstructionProjectsSQL());
+
+                strSQL.Append(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strSQL.AppendFormat(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
+                strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
+
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+
+                strSQL.Append(" Order By A.ConstructionPeriod Desc, A.ConstructionStatusFlg Asc, A.ORDERDATE DESC, A.ConstructionCode Asc, B.DETAILNO ASC");
                 ArrayList arData = new ArrayList();
 
+                // プログレスバー表示
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnCopyFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnSearchFlg] = true;
+                DisplayControlProgressBar(true);
+                
                 // 工事基本情報取得
-                if (!cbiDB.ExecuteReader(strSQL, ref arData))
+                if (!cbiDB.ExecuteReader(strSQL.ToString(), ref arData))
                 {
                     lblPeriod.Visible = false;
                     numUDConstPro.Visible = false;
@@ -3908,11 +4075,7 @@
                 lblPeriod.Visible = true;
                 numUDConstPro.Visible = true;
 
-                ProgressConstructionProjects.Visible = true;
-                ProgressConstructionProjects.Minimum = 0;
-                ProgressConstructionProjects.Maximum = arData.Count;
-                tabPage8.Update();
-                //Thread.Sleep(100);
+                MainProgressBar.Maximum = arData.Count;
 
                 // データ表示
                 int ino = 1;
@@ -3936,6 +4099,10 @@
                 int iLineCnt = 0;
                 int DBCnt = Enum.GetNames(typeof(DBColumn2)).Length;
                 int BreakConstructionCode = 0;
+
+                ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
+                object[] wrkobj = new object[Enum.GetNames(typeof(IOConstructionBaseInfo.TableColumn)).Length];
+
                 foreach (object[] DataRec in arData)
                 {
                     int iConstructionCode = CommonMotions.cnvInt(DataRec[(int)DBColumn2.ConstructionCode]);
@@ -3967,9 +4134,8 @@
                     BreakConstructionCode = iConstructionCode;
 
                     // データを工事情報のフォーマットに詰めなおす
-                    ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
                     int objCnt = DataRec.Length - DBCnt;
-                    object[] wrkobj = new object[objCnt];
+                    Array.Clear(wrkobj, 0, wrkobj.Length);
                     for (int i = 0; i < objCnt; i++)
                     {
                         wrkobj[i] = DataRec[i + DBCnt];
@@ -4016,8 +4182,8 @@
                     SetCellApprovalColor(CurCell, iApprovalCode, iApprovalStatus, false);
 
                     // ProgressBarの値を変更する
-                    ProgressConstructionProjects.Value = ino++;
-                    ProgressConstructionProjects.Update();
+                    MainProgressBar.Value = ino++;
+                    MainProgressBar.Update();
 
                     // 選択期数以外は集計しない
                     if (numUDConstPro.Value != wrkRec.ConstructionPeriod) continue;
@@ -4032,9 +4198,8 @@
                 ConstructionTotalCalc();
 
                 // ProgressBarの値を変更する
-                ProgressConstructionProjects.Value = ProgressConstructionProjects.Maximum;
-                ProgressConstructionProjects.Update();
-                ProgressConstructionProjects.Visible = false;
+                MainProgressBar.Value = MainProgressBar.Maximum;
+                MainProgressBar.Update();
             }
             catch (Exception ex)
             {
@@ -4056,6 +4221,7 @@
                 cbiDB.close(); cbiDB = null;
                 dmDB.close(); dmDB = null;
                 dgv.ResumeLayout();
+                DisplayControlProgressBar(false);
             }
         }
         #endregion
@@ -4134,7 +4300,7 @@
                 strSQL.Append(" LEFT JOIN  CONSTRUCTIONLEDGER AS D ON D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
 
                 strSQL.AppendFormat(" WHERE A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
-                strSQL.AppendFormat(" AND A.JOINFLG != {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
+                strSQL.AppendFormat(" AND A.JOINFLG != {0}", (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren);
                 strSQL.Append(" AND A.CONSTRUCTIONSTATUSFLG IN (");
                 strSQL.AppendFormat("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("一般補修工事")).Key);       // 2
                 strSQL.AppendFormat("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("仮 受 注")).Key);           // 3
